sigrok-cli_0.5.0-1_i386.deb


Advertisement

Description

sigrok-cli - command-line frontend for the sigrok software

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: sigrok-cli
Package version: 0.5.0
Package release: 1
Package architecture: i386
Package type: deb
Installed size: 95 B
Download size: 27.43 KB
Official Mirror: archive.ubuntu.com
sigrok-cli is a command-line data acquisition and protocol decoding software. It supports sample acquisition from logic analyzer, oscilloscope, multimeter, and other hardware, as well as running protocol decoders over the sample data (either from hardware or loaded from files).

Alternatives

Replaces

  • sigrok << 0.2-1

    Download

    Source package: sigrok-cli

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install sigrok-cli deb package:
      # sudo apt-get install sigrok-cli

    Files

    • /usr/bin/sigrok-cli
    • /usr/share/doc/sigrok-cli/NEWS.gz
    • /usr/share/doc/sigrok-cli/README
    • /usr/share/doc/sigrok-cli/changelog.Debian.gz
    • /usr/share/doc/sigrok-cli/copyright
    • /usr/share/man/man1/sigrok-cli.1.gz

    Changelog

    2014-05-24 - Uwe Hermann <uwe@debian.org> sigrok-cli (0.5.0-1) unstable; urgency=medium * New upstream release. + Updated build-dep versions: libglib2.0-dev (>= 2.28.0), libsigrok-dev (>= 0.3.0), libsigrokdecode-dev (>= 0.3.0). + The non-existing --list-devices command-line option is no longer mentioned upstream (Closes: #737753). * Standards-Version: 3.9.5 (no changes required). * Switch from cdbs to debhelper. * debian/copyright: Update.

    2013-09-03 - Uwe Hermann <uwe@debian.org> sigrok-cli (0.4.0-2) unstable; urgency=medium * Build-depend on the fixed libsigrok-dev (>= 0.2.0-2) and libsigrokdecode-dev (>= 0.2.0-2) packages (Closes: #721581). The libs have transitioned to unversioned -dev package names. * debian/copyright: Update.

    2013-06-02 - Uwe Hermann <uwe@debian.org> sigrok-cli (0.4.0-1) unstable; urgency=low * New upstream release. + Build-depend on libsigrok1-dev, libsigrokdecode1-dev now. * Standards-Version: 3.9.4 (no changes required). * debian/watch: Update to new download URLs.

    2012-07-10 - Uwe Hermann <uwe@debian.org> sigrok-cli (0.3.1-1) unstable; urgency=low * New upstream release.

    2012-05-23 - Uwe Hermann <uwe@debian.org> sigrok-cli (0.3.0-2) unstable; urgency=low * Add missing build-deps on pkg-config, libglib2.0-dev (Closes: #674102). * Update build-deps on libsigrok/libsigrokdecode to >= 0.1.0-2. * Add 'Breaks: sigrok (<< 0.2-1)' and 'Replaces: sigrok (<< 0.2-1)' (this partially closes: #673854, the other parts will be in 'sigrok').

    2012-05-13 - Uwe Hermann <uwe@debian.org> sigrok-cli (0.3.0-1) unstable; urgency=low * Initial release (Closes: #669072).

    Advertisement
    Advertisement